aboutsummaryrefslogtreecommitdiffstats
path: root/compile_commands.json.do
diff options
context:
space:
mode:
Diffstat (limited to 'compile_commands.json.do')
-rwxr-xr-xcompile_commands.json.do5
1 files changed, 5 insertions, 0 deletions
diff --git a/compile_commands.json.do b/compile_commands.json.do
new file mode 100755
index 0000000..f01e0fa
--- /dev/null
+++ b/compile_commands.json.do
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -e
+cmds=(common.cmd ieee754b.cmd pack.cmd test.cmd test_gen.cmd trace.cmd unpack.cmd)
+redo-ifchange "${cmds[@]}"
+cat "${cmds[@]}" | jq -s >"$3"